Pkgcheck Warnings

  • All Versions
  • 9999
    • DeprecatedEapi
      uses deprecated EAPI 6
    • IndirectInherits
      depend.apache: indirect inherit usage: 'need_apache2_4', line 22
    • InternalEclassUsage
      depend.apache: internal usage: '_init_apache2', line 30
    • InternalEclassUsage
      depend.apache: internal usage: '_init_apache2_late', line 31
  • 1.1.0
    • DeprecatedEapi
      uses deprecated EAPI 6
    • IndirectInherits
      depend.apache: indirect inherit usage: 'need_apache2_4', line 22
    • InternalEclassUsage
      depend.apache: internal usage: '_init_apache2', line 30
    • InternalEclassUsage
      depend.apache: internal usage: '_init_apache2_late', line 31

Pkgcheck is used regularly to generate QA reports. Pkgcheck is a pkgcore-based QA utility for ebuild repos.